## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel
Interface SybaseASAIndex

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, Index, org.eclipse.emf.common.notify.Notifier, SQLObject, SybaseASABaseIndex

All Known Implementing Classes:
  SybaseASACatalogIndex, SybaseASAIndexImpl

    public interface SybaseASAIndex

extends SybaseASABaseIndex

A representation of the model object 'Sybase ASA Index'.

The following features are supported:

- `Virtual`

See Also:
  `SybaseasasqlmodelPackage.getSybaseASAIndex()`

Method Summary
`boolean` `isVirtual()` Returns the value of the 'Virtual' attribute.
`void` `setVirtual(boolean value)` Sets the value of the '`Virtual`' attribute.

Methods inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseASABaseIndex
`getDbSpace, setDbSpace`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Index
`getFillFactor, getForeignKey, getIncludedMembers, getMembers, getSchema, getTable, isClustered, isSystemGenerated, isUnique, setClustered, setFillFactor, setSchema, setSystemGenerated, setTable, setUnique`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isVirtual

    boolean isVirtual()

  Returns the value of the 'Virtual' attribute.

  If the meaning of the 'Virtual' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Virtual' attribute.
  See Also:
    `setVirtual(boolean)`, `SybaseasasqlmodelPackage.getSybaseASAIndex_Virtual()`

### setVirtual

    void setVirtual(boolean value)

  Sets the value of the '`Virtual`' attribute.

  Parameters:
    `value` - the new value of the 'Virtual' attribute.
  See Also:
    `isVirtual()`